Skip to main content
POST
Create Catalog Item Sources

Headers

X-Change-Origin
string

The screen the Catalog edit is made from: collection:<id> or project:<id>. Malformed → 400 INVALID_CHANGE_ORIGIN; an origin the editor cannot edit from → 403 CHANGE_ORIGIN_NOT_ACCESSIBLE.

Pattern: ^(collection|project):[1-9][0-9]*$

Path Parameters

workspaceId
string
required
itemId
string
required

Body

application/json
familySourceId
string
required
Minimum string length: 1
confirmRelease
boolean

Response

201 - application/json
id
string
required
itemId
string
required
familySourceId
string
required
columnsAttributes
object
required
version
number
required
createdAt
string
required
updatedAt
string
required
affectedParentFamilyIds
string[]
required
affectedProjectIds
string[]
required